package com.willalp.integral.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.integral.domain.Integral;
import com.willalp.integral.domain.excelVo.IntegralVo;
import com.willalp.integral.domain.excelVo.IntegralVo2;
import com.willalp.integral.request.IntegralGroupQuery;

import java.util.List;
import java.util.Map;

/**
 * 积分管理Service接口
 *
 * @author willalp
 * @date 2021-12-02
 */
public interface IIntegralService extends IService<Integral> {

    /**
     * 查询积分管理列表
     *
     * @param integral 积分管理
     * @return 积分管理集合
     */
    public List<Integral> selectIntegralList(Integral integral);

    int saveInfo(Integral integral);

    void returnPoints(List<IntegralGroupQuery> list);

    String importData(List<Integral> list);

    List<IntegralVo2> queryIntegralSum(IntegralGroupQuery integralGroupQuery);

    List<Map<String,Object>> getIntegralReportList(Map<String,Object> req);

    List<IntegralVo> rechargeTemplate();
}
